## xrick 021212-2

=== Makefile ===
#
# xrick/Makefile
#
# Copyright (C) 1998-2002 BigOrno (bigorno@bigorno.net). All rights reserved.
#
# The use and distribution terms for this software are contained in the file
# named README, which can be found in the root of this distribution. By
# using this software in any fashion, you are agreeing to be bound by the
# terms of this license.
#
# You must not remove this notice, or any other, from this software.
#

#
# Vars
#

SDLVERSION=$(shell sdl-config --version 2>/dev/null)
ROOTDIR=$(shell pwd)
TARGET=$(shell uname -s | tr [a-z] [A-Z])

EXE = xrick
SRC = src
PREFIX = /opt
EXTRADIR = ./extra
DESTDIR =

GAMEDIR = $(DESTDIR)$(PREFIX)/$(EXE)
BINDIR = $(GAMEDIR)
ICNDIR = $(DESTDIR)/usr/share/pixmaps
APPDIR = $(DESTDIR)/usr/share/applications/hildon

DATA = data.zip README
ICON = xrick.png
DESKTOP = xrick.desktop
START = xrick.sh

RM = rm -f
CP = cp -r
MD = mkdir -p
ECHO = echo
CHMOD = chmod
STRIP = strip


#
# Config
#

ifeq ($(strip $(SDLVERSION)),) 
$(error SDL is missing) 
else
$(warning Detected SDL version $(SDLVERSION)) 
endif

ifeq ($(strip $(SDLVERSION)),)
$(error SDL is missing)
endif

SDL_MAJ=$(word 1,$(subst ., ,$(SDLVERSION)))
SDL_MIN=$(word 2,$(subst ., ,$(SDLVERSION)))
SDL_MIC=$(word 3,$(subst ., ,$(SDLVERSION)))

SDL_MAJ_REQ=1
SDL_MIN_REQ=2
SDL_MIC_REQ=1

SDL_CHKVER=$(shell if [ $(SDL_MAJ) -lt $(SDL_MAJ_REQ) ]; then echo "BAD"; fi)
ifeq ($(SDL_CHKVER),BAD)
$(error SDL version $(SDL_MAJ_REQ).$(SDL_MIN_REQ).$(SDL_MIC_REQ) is required)
endif

SDL_CHKVER=$(shell if [ $(SDL_MAJ) -eq $(SDL_MAJ_REQ) -a $(SDL_MIN) -lt $(SDL_MIN_REQ) ]; then echo "BAD"; fi)
ifeq ($(SDL_CHKVER),BAD)
$(error SDL version $(SDL_MAJ_REQ).$(SDL_MIN_REQ).$(SDL_MIC_REQ) is required)
endif

SDL_CHKVER=$(shell if [ $(SDL_MAJ) -eq $(SDL_MAJ_REQ) -a $(SDL_MIN) -eq $(SDL_MIN_REQ) -a $(SDL_MIC) -lt $(SDL_MIC_REQ) ]; then echo "BAD"; fi)
ifeq ($(SDL_CHKVER),BAD)
$(error SDL version $(SDL_MAJ_REQ).$(SDL_MIN_REQ).$(SDL_MIC_REQ) is required)
endif

ifneq (,$(findstring CYGWIN,$(TARGET)))
XOBJ=xrick.res
endif

ifneq (,$(findstring MINGW,$(TARGET)))
XOBJ=xrick.res
endif

#
# Rules
#

all:
	@echo "ROOTDIR=$(ROOTDIR)" > Makefile.global
	@echo "XOBJ=$(XOBJ)" >> Makefile.global
	@echo "CFLAGS=-g -fsigned-char -ansi -pedantic -Wall -W -O2 -I $(ROOTDIR)/include $(shell sdl-config --cflags)" >> Makefile.global
	@echo "LDFLAGS=-lz $(shell sdl-config --libs)" >> Makefile.global
	@echo "CC=gcc" >> Makefile.global
	@echo "CPP=gcc -E" >> Makefile.global
	$(MAKE) -C src all

clean:
	for i in src include; do \
	  $(MAKE) -C $$i clean; \
	done
	rm -f *~ log.txt Makefile.global

depend:
	$(MAKE) -C src depend

install: all
	@$(ECHO) " o Creating install directory $(BINDIR)"
	@$(MD) "$(BINDIR)"
	@$(ECHO) " o Installing game and data to $(BINDIR)"
	@$(CP) "$(EXE)" "$(EXTRADIR)/$(START)" $(DATA) "$(BINDIR)"
	@$(ECHO) " o Creating application menu entry"
	@$(MD) "$(ICNDIR)"
	@$(CP) "$(EXTRADIR)/$(ICON)" "$(ICNDIR)"
	@$(MD) "$(APPDIR)"
	@$(CP) "$(EXTRADIR)/$(DESKTOP)" "$(APPDIR)"
	@$(ECHO) ""

uninstall:
	@$(ECHO) " o Removing game and data from $(BINDIR)"
	@$(RM) -r "$(BINDIR)"
	@$(ECHO) " o Removing application menu entry"
	@$(RM) "$(ICNDIR)/$(ICON)" "$(APPDIR)/$(DESKTOP)"
	@$(ECHO) ""

## xrick 021212-1

=== debian/changelog ===
xrick (021212-1) unstable; urgency=low

  * Initial release

 -- trompkins <maciej.stankiewicz@gmail.com>  Tue, 27 Mar 2012 23:03:01 +0100

=== debian/control ===
Source: xrick
Section: trompkins
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), zlib1g-dev, libsdl1.2-dev
Standards-Version: 3.7.2

Package: xrick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XRick is a clone of Rick Dangerous.
 Way before Lara Croft, back in the 1980's and early 1990's, Rick Dangerous was the Indiana Jones of computer games, running away from rolling rocks, avoiding traps, from South America to a futuristic missile base via Egypt and the Schwarzendumpf castle.
XB-Maemo-Display-Name: XRick
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAACXBIWXMAAAV4
 AAAFeAG+AYe6AAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAAAMAUExURSFKAEprIZRKAN5rAEohAP+Ua7W1tSEhIf///wAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAALg6fesAAAAJdFJOU///////////AFNPeBIA
 AAFhSURBVHjaxJbBjgIxDENfkhnB//8tmjbZQ9KyoL3QIi0SElDVlu04g9z5
 7KVsX4j4+/Mqw/GOz8UJCAFcnMiXGUCAjtGxd/RNhih0BRzDsYIbJ3sMQSc4
 gF54gtNRgoY89WxocIzGgeIEEDgKNJSObWmIutoxGoGiBEbgBEpHn14tMAx/
 DHACQRCinEolBsOrJQ3DnyBQHEfrnd/57dXHDHLPDhgdUBo3LgSjE5w8OHDA
 6NmNxaTTa6chPLjRCODkgdDQmQVLGgLHkco0O6c1XTkDNs91MYdeHvlMO/ON
 4spfLHUsMehsWWYhOFQb8kSI4dMCg2AYHaFzzoZbtcyACyOwjT60wnxV9roT
 M5NjMQcpR0YiMbe3VEJUQ3ZcuiaaI9UurzwMJ+qpsb75sstWDZa5r6PwdXnz
 yT24kLnZZKoYuDGfD8G5mEPunpz8o3LNuc1JyhMWc5B/+K/x7Qs/AwCjN5ym
 hRcYDQAAAABJRU5ErkJggg==
 ====

## xrick 021212-2

=== debian/changelog ===
xrick (021212-2) unstable; urgency=low

  * Control file fix

 -- trompkins <maciej.stankiewicz@gmail.com>  Wed, 28 Mar 2012 12:37:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: xrick
-Section: trompkins
+Section: games
 Priority: extra
 Maintainer: trompkins <maciej.stankiewicz@gmail.com>
 Build-Depends: debhelper (>= 5), zlib1g-dev, libsdl1.2-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/xrick.sgml > xrick.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/xrick.
	$(MAKE) DESTDIR=$(CURDIR)/debian/xrick install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
